# CONTRIBUTING Guide

## About VelaUX

The [KubeVela](https://github.com/oam-dev/kubevela) User Experience (UX) Dashboard, it provides out-of-box application delivery and management platform.

To help us create a safe and positive community experience for all, we require all participants to adhere to the [Code of Conduct](https://github.com/oam-dev/kubevela/blob/master/CODE_OF_CONDUCT.md).

This document is a guide to help you through the process of contributing to VelaUX.

## Become a contributor

You can contribute to VelaUX in several ways. Here are some examples:

* Contribute to the VelaUX codebase.
* Report and triage bugs.
* Write technical documentation and blog posts, for users and contributors.
* Organize meetups and user groups in your local area.
* Help others by answering questions about VelaUX.

For more ways to contribute, check out the [Open Source Guides](https://opensource.guide/how-to-contribute/).

### Your first contribution

Unsure where to begin contributing to KubeVela? Start by browsing issues labeled `good first issue` or `help wanted`.

- [Good first issue](https://github.com/oam-dev/velaux/labels/good%20first%20issue) issues are generally straightforward to complete.
- [Help wanted](https://github.com/oam-dev/velaux/labels/help%20wanted) issues are problems we would like the community to help us with regardless of complexity.

If you're looking to make a code change, see [how to set up your environment](docs/contributing/velaux.md).

When you're ready to contribute, it's time to [Create a pull request](https://github.com/oam-dev/kubevela/blob/master/contribute/create-pull-request.md).

### Report bugs / Suggest enhancements / Answering questions etc.

VelaUX follows the KubeVela [CONTRIBUTING Guide](https://github.com/oam-dev/kubevela/blob/master/CONTRIBUTING.md)
